module.exports = {
  create: {
    requestBody: ["!project", "!name", "type", "menu", "disabled", "params"],
  },
  destroy: {
    params: ["!id"],
    service: "delete",
  },
  update: {
    params: ["!id"],
    requestBody: ["!project", "!name", "type", "menu", "disabled", "params"],
  },
  show: {
    parameters: {
      params: ["!id"],
    },
    service: "fetch",
  },
  index: {
    parameters: {
      query: {
        project: "project",
        name: "name",
        type: "type",
        menu: "menu",
        disabled: "disabled",
      },
    },
    service: "query",
    options: {
      query: ["skip", "limit"],
      sort: ["meta.createdAt"],
      asc: true,
      count: true,
    },
  },
  roleMenuTree: {
    parameters: { query: { project: "project", type: "type", userid: 'userid' } },
    service: "getRoleMenuTree",
  },
};
