module.exports = {
  create: {
    requestBody: ["!project", "!userid", "menu", "params"],
  },
  destroy: {
    params: ["!id"],
    service: "delete",
  },
  update: {
    params: ["!id"],
    requestBody: ["!project", "!userid", "menu", "params"],
  },
  show: {
    parameters: {
      params: ["!id"],
    },
    service: "fetch",
  },
  index: {
    parameters: {
      query: {
        project: "project",
        userid: "userid",
      },
    },
    service: "query",
    options: {
      query: ["skip", "limit"],
      sort: ["meta.createdAt"],
      asc: true,
      count: true,
    },
  },
  getUserMenu: {
    parameters: {
      query: {
        project: "project",
        type: "type",
        userid: "userid",
      },
    },
    service: "getUserMenu",
  },
};
