'use strict';

/**
 * @param {Egg.Application} app - egg application
 */
module.exports = app => {
  const { router, controller } = app;
  router.get('/', controller.home.index);
  router.get('menu', '/api/auth/menu/project/:project', controller.menu.findProject);
  router.resources('menu', '/api/auth/menu', controller.menu); // index、create、show、destroy
  router.post('menu', '/api/auth/menu/update/:id', controller.menu.update);
  router.get('role', '/api/auth/role/menu/tree', controller.role.roleMenuTree); // index、create、show、destroy
  router.resources('role', '/api/auth/role', controller.role); // index、create、show、destroy
  router.post('role', '/api/auth/role/update/:id', controller.role.update);
  router.get('usermenu', '/api/auth/usermenu/menu', controller.userMenu.getUserMenu);
  router.resources('usermenu', '/api/auth/usermenu', controller.userMenu); // index、create、show、destroy
  router.post('usermenu', '/api/auth/usermenu/update/:id', controller.userMenu.update);
};
